// src/next/GET.tsx
import { getFrame } from "frames.js";
import { NextResponse as NextResponseBase } from "next/server";
var NextResponse = "default" in NextResponseBase ? NextResponseBase.default : NextResponseBase;
async function GET(request) {
  const url = request.nextUrl.searchParams.get("url");
  if (!url) {
    return NextResponse.json({ message: "Invalid URL" }, { status: 400 });
  }
  try {
    const urlRes = await fetch(url);
    const htmlString = await urlRes.text();
    const { frame, errors } = getFrame({ htmlString, url });
    return NextResponse.json({ frame, errors });
  } catch (err) {
    console.error(err);
    return NextResponse.json({ message: err }, { status: 500 });
  }
}

export {
  GET
};
